/*
 * ds3231.h
 *
 *  Created on: Nov 13, 2022
 *      Author: hussamaldean
 */

#ifndef DS3231_H_
#define DS3231_H_

#include "stdint.h"


typedef struct ts {
    uint8_t sec;         /* seconds */
    uint8_t min;         /* minutes */
    uint8_t hour;        /* hours */
    uint8_t mday;        /* day of the month */
    uint8_t mon;         /* month */
    int16_t year;        /* year */
    uint8_t wday;        /* day of the week */
    uint8_t yday;        /* day in the year */
    uint8_t isdst;       /* daylight saving time */
    uint8_t year_s;      /* year in short notation*/

}ts;


void DS3231_set(ts t);
void DS3231_get(ts *t);
void print_time(ts *t);


#endif /* DS3231_H_ */
